Clover coverage report - dom4j - 1.6.1 Coverage timestamp: ma mei 16 2005 14:23:01 GMT+01:00 FRAMES NO FRAMES |
file stats: | LOC: | 110 |  | Methods: | 0
| NCLOC: | 12 |  | Classes: | 1
Source file | Conditionals | Statements | Methods | TOTAL
ProcessingInstruction.java | - | - | - | - |

1 |  | /*
2 |  | * Copyright 2001-2005 (C) MetaStuff, Ltd. All Rights Reserved.
3 |  | *
4 |  | * This software is open source.
5 |  | * See the bottom of this file for the licence.
6 |  | */
7 |  |
8 |  | package org.dom4j;
9 |  |
10 |  | import java.util.Map;
11 |  |
12 |  | /**
13 |  | * <p>
14 |  | * <code>ProcessingInstruction</code> defines an XML processing instruction.
15 |  | * The {@link Node#getName}method will return the target of the PI and the
16 |  | * {@link Node#getText}method will return the data from all of the
17 |  | * instructions.
18 |  | * </p>
19 |  | *
20 |  | * @author <a href="mailto:james.strachan@metastuff.com">James Strachan </a>
21 |  | * @version $Revision: 1.10 $
22 |  | */
23 |  | public interface ProcessingInstruction extends Node {
24 |  | /**
25 |  | * This method is the equivalent to the {@link #getName}method. It is added
26 |  | * for clarity.
27 |  | *
28 |  | * @return the target of this PI
29 |  | */
30 |  | String getTarget();
31 |  |
32 |  | /**
33 |  | * This method is the equivalent to the {@link #setName}method. It is added
34 |  | * for clarity.
35 |  | *
36 |  | * @param target
37 |  | * DOCUMENT ME!
38 |  | */
39 |  | void setTarget(String target);
40 |  |
41 |  | /**
42 |  | * DOCUMENT ME!
43 |  | *
44 |  | * @return the text for all the data associated with the processing
45 |  | * instruction
46 |  | */
47 |  | String getText();
48 |  |
49 |  | /**
50 |  | * <p>
51 |  | * Returns the value of a specific name in the PI.
52 |  | * </p>
53 |  | *
54 |  | * @param name
55 |  | * is the name of the attribute to lookup.
56 |  | *
57 |  | * @return the value of the named attribute
58 |  | */
59 |  | String getValue(String name);
60 |  |
61 |  | /**
62 |  | * DOCUMENT ME!
63 |  | *
64 |  | * @return the values for this processing instruction as a Map
65 |  | */
66 |  | Map getValues();
67 |  |
68 |  | void setValue(String name, String value);
69 |  |
70 |  | void setValues(Map data);
71 |  |
72 |  | boolean removeValue(String name);
73 |  | }
74 |  |
75 |  | /*
76 |  | * Redistribution and use of this software and associated documentation
77 |  | * ("Software"), with or without modification, are permitted provided that the
78 |  | * following conditions are met:
79 |  | *
80 |  | * 1. Redistributions of source code must retain copyright statements and
81 |  | * notices. Redistributions must also contain a copy of this document.
82 |  | *
83 |  | * 2. Redistributions in binary form must reproduce the above copyright notice,
84 |  | * this list of conditions and the following disclaimer in the documentation
85 |  | * and/or other materials provided with the distribution.
86 |  | *
87 |  | * 3. The name "DOM4J" must not be used to endorse or promote products derived
88 |  | * from this Software without prior written permission of MetaStuff, Ltd. For
89 |  | * written permission, please contact dom4j-info@metastuff.com.
90 |  | *
91 |  | * 4. Products derived from this Software may not be called "DOM4J" nor may
92 |  | * "DOM4J" appear in their names without prior written permission of MetaStuff,
93 |  | * Ltd. DOM4J is a registered trademark of MetaStuff, Ltd.
94 |  | *
95 |  | * 5. Due credit should be given to the DOM4J Project - http://www.dom4j.org
96 |  | *
97 |  | * THIS SOFTWARE IS PROVIDED BY METASTUFF, LTD. AND CONTRIBUTORS ``AS IS'' AND
98 |  | * ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
99 |  | * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
100 |  | * ARE DISCLAIMED. IN NO EVENT SHALL METASTUFF, LTD. OR ITS CONTRIBUTORS BE
101 |  | * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
102 |  | * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
103 |  | * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
104 |  | * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
105 |  | * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
106 |  | * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
107 |  | * POSSIBILITY OF SUCH DAMAGE.
108 |  | *
109 |  | * Copyright 2001-2005 (C) MetaStuff, Ltd. All Rights Reserved.
110 |  | */